summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-libs/pcc-libs
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-libs/pcc-libs')
-rw-r--r--dev-libs/pcc-libs/Manifest4
-rw-r--r--dev-libs/pcc-libs/files/pcc-libs-1.0.0-check-builtin.patch62
-rw-r--r--dev-libs/pcc-libs/metadata.xml8
-rw-r--r--dev-libs/pcc-libs/pcc-libs-1.0.0.ebuild33
-rw-r--r--dev-libs/pcc-libs/pcc-libs-1.0.1_pre20121112.ebuild29
-rw-r--r--dev-libs/pcc-libs/pcc-libs-1.0.1_pre20131013.ebuild29
-rw-r--r--dev-libs/pcc-libs/pcc-libs-1.1.0.ebuild29
-rw-r--r--dev-libs/pcc-libs/pcc-libs-9999.ebuild36
8 files changed, 230 insertions, 0 deletions
diff --git a/dev-libs/pcc-libs/Manifest b/dev-libs/pcc-libs/Manifest
new file mode 100644
index 00000000000..1e76bd5fff9
--- /dev/null
+++ b/dev-libs/pcc-libs/Manifest
@@ -0,0 +1,4 @@
+DIST pcc-libs-1.0.0.tgz 190238 SHA256 f89ac94e30927a28c78fc8b8b7fef617eeaf843e2268063d43e414cf3179dd62 SHA512 619e65bb4b6c979864a2bd800f2b2abf2702bea2d091f884e9c9d5a2fcf9ff999faf45006bf83cd363f95bf60789e118e82cf24bcb0666758686061baa9cc624 WHIRLPOOL 365b354d8f1081dfa7d75468598d87200155dba8679800177b97084f85fe85b5db8e369f94be777f69f3a33dfb300b01bda5d982e7ae0efd600b4ddc4b8a3094
+DIST pcc-libs-1.1.0.tgz 198204 SHA256 dd4cb124da0b2edcda6ceb823c3ca8fc05919d35c89c34dec617517afe6bbfee SHA512 89d90f246300ab1da652f652c685756aa038017f5b7d57d050bb5c88e01e70b594ffaef8772230fbeb9461e07c5b1df60e85e550ec4717008159218d50c8697a WHIRLPOOL 8f90f2e8a963105d08642a49005d296f5dabd01472d221fe965de2b19d537b5e257b62bd440e85356aecf9d0eb0690cdefd57c9e25dd922b3cfb4d192b19654e
+DIST pcc-libs-20121112.tgz 190520 SHA256 f467beaaa9aa611aa6d7b8a4db5c1792f25933219899fb391dd41b97a6aa06ec SHA512 15524bd09be9cafc95f1c28102f357db0ac27148062dc2b003f9e20aa8055871da7efa833c27a77920ee2ec4b8a68d2d7553f13095c5575efc3acd176fd2a21f WHIRLPOOL bbbe715f547e5e2198e6b2c11c2a84773ce3273c25213cc03e10185c34c95f97c596d94b66dc481f943c0c20c97a4471f593acaa1790b61c89bdf52b6876f498
+DIST pcc-libs-20131013.tgz 190540 SHA256 c455212f60be26787ba48d1dc575d1667535479b83329c9de2c23f8237167804 SHA512 f1fd0bd0cd01d25da044b8b78b7782f9103d2a56eb1b9f6e29fffb102c9a1012f428a1b2ab2b111426312a46b0ffce3b1b811fcd9fa10859cb105caf37313329 WHIRLPOOL 318875e412ab9017d5423df198393b6dea97493b14f62919b4b5209424b6c7c4f7e875cc094a59e5bf29c162734586ae160b09e4de9d439a0d524f580305dd1d
diff --git a/dev-libs/pcc-libs/files/pcc-libs-1.0.0-check-builtin.patch b/dev-libs/pcc-libs/files/pcc-libs-1.0.0-check-builtin.patch
new file mode 100644
index 00000000000..335f2d774b8
--- /dev/null
+++ b/dev-libs/pcc-libs/files/pcc-libs-1.0.0-check-builtin.patch
@@ -0,0 +1,62 @@
+diff --git a/libpcc/bitcnt.c b/libpcc/bitcnt.c
+index 26ecc01..c3bd54e 100644
+--- a/libpcc/bitcnt.c
++++ b/libpcc/bitcnt.c
+@@ -1,9 +1,22 @@
++// Only use __has_builtin in compilers that support it.
++#ifndef __has_builtin
++ #define __has_builtin(x) 0
++#endif
+
++#if !__has_builtin(__builtin_clz)
+ int __builtin_clz(unsigned int);
++#endif
++#if !__has_builtin(__builtin_ctz)
+ int __builtin_ctz(unsigned int);
++#endif
++#if !__has_builtin(__builtin_clzl)
+ int __builtin_clzl(unsigned long);
++#endif
++#if !__has_builtin(__builtin_ctzl)
+ int __builtin_ctzl(unsigned long);
++#endif
+
++#if !__has_builtin(__builtin_clz)
+ int
+ __builtin_clz(unsigned int v)
+ {
+@@ -14,7 +27,9 @@ __builtin_clz(unsigned int v)
+ break;
+ return i;
+ }
++#endif
+
++#if !__has_builtin(__builtin_ctz)
+ int
+ __builtin_ctz(unsigned int v)
+ {
+@@ -25,7 +40,9 @@ __builtin_ctz(unsigned int v)
+ break;
+ return i;
+ }
++#endif
+
++#if !__has_builtin(__builtin_clzl)
+ int
+ __builtin_clzl(unsigned long v)
+ {
+@@ -37,7 +54,9 @@ __builtin_clzl(unsigned long v)
+ break;
+ return i;
+ }
++#endif
+
++#if !__has_builtin(__builtin_ctzl)
+ int
+ __builtin_ctzl(unsigned long v)
+ {
+@@ -48,3 +67,4 @@ __builtin_ctzl(unsigned long v)
+ break;
+ return i;
+ }
++#endif
diff --git a/dev-libs/pcc-libs/metadata.xml b/dev-libs/pcc-libs/metadata.xml
new file mode 100644
index 00000000000..24cbb90cf0c
--- /dev/null
+++ b/dev-libs/pcc-libs/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>patrick@gentoo.org</email>
+ <name>Patrick Lauer</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/dev-libs/pcc-libs/pcc-libs-1.0.0.ebuild b/dev-libs/pcc-libs/pcc-libs-1.0.0.ebuild
new file mode 100644
index 00000000000..c0606a846d4
--- /dev/null
+++ b/dev-libs/pcc-libs/pcc-libs-1.0.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+
+inherit eutils versionator
+
+DESCRIPTION="pcc compiler support libs"
+HOMEPAGE="http://pcc.ludd.ltu.se"
+
+SRC_URI="ftp://pcc.ludd.ltu.se/pub/pcc-releases/${P}.tgz"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~x86 ~amd64 ~amd64-fbsd"
+
+IUSE=""
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+src_prepare()
+{
+ epatch "${FILESDIR}/${P}-check-builtin.patch"
+}
+
+src_compile() {
+ # not parallel-safe yet
+ emake -j1 || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+}
diff --git a/dev-libs/pcc-libs/pcc-libs-1.0.1_pre20121112.ebuild b/dev-libs/pcc-libs/pcc-libs-1.0.1_pre20121112.ebuild
new file mode 100644
index 00000000000..7e8f640cd63
--- /dev/null
+++ b/dev-libs/pcc-libs/pcc-libs-1.0.1_pre20121112.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+
+inherit eutils versionator
+
+DESCRIPTION="pcc compiler support libs"
+HOMEPAGE="http://pcc.ludd.ltu.se"
+
+SRC_URI="ftp://pcc.ludd.ltu.se/pub/${PN}/${PN}-${PVR/*_pre/}.tgz"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~x86 ~amd64 ~amd64-fbsd"
+
+IUSE=""
+DEPEND=""
+RDEPEND="${DEPEND}"
+S=${WORKDIR}/${PN}-${PVR/*_pre/}/
+
+src_compile() {
+ # not parallel-safe yet
+ emake -j1 || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+}
diff --git a/dev-libs/pcc-libs/pcc-libs-1.0.1_pre20131013.ebuild b/dev-libs/pcc-libs/pcc-libs-1.0.1_pre20131013.ebuild
new file mode 100644
index 00000000000..7e8f640cd63
--- /dev/null
+++ b/dev-libs/pcc-libs/pcc-libs-1.0.1_pre20131013.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+
+inherit eutils versionator
+
+DESCRIPTION="pcc compiler support libs"
+HOMEPAGE="http://pcc.ludd.ltu.se"
+
+SRC_URI="ftp://pcc.ludd.ltu.se/pub/${PN}/${PN}-${PVR/*_pre/}.tgz"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~x86 ~amd64 ~amd64-fbsd"
+
+IUSE=""
+DEPEND=""
+RDEPEND="${DEPEND}"
+S=${WORKDIR}/${PN}-${PVR/*_pre/}/
+
+src_compile() {
+ # not parallel-safe yet
+ emake -j1 || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+}
diff --git a/dev-libs/pcc-libs/pcc-libs-1.1.0.ebuild b/dev-libs/pcc-libs/pcc-libs-1.1.0.ebuild
new file mode 100644
index 00000000000..119e46e495c
--- /dev/null
+++ b/dev-libs/pcc-libs/pcc-libs-1.1.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils versionator
+
+DESCRIPTION="pcc compiler support libs"
+HOMEPAGE="http://pcc.ludd.ltu.se"
+
+SRC_URI="ftp://pcc.ludd.ltu.se/pub/pcc-releases/${P}.tgz"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~x86 ~amd64 ~amd64-fbsd"
+
+IUSE=""
+DEPEND=""
+RDEPEND="${DEPEND}"
+S=${WORKDIR}/${PN}-${PVR/*_pre/}/
+
+src_compile() {
+ # not parallel-safe yet
+ emake -j1 || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+}
diff --git a/dev-libs/pcc-libs/pcc-libs-9999.ebuild b/dev-libs/pcc-libs/pcc-libs-9999.ebuild
new file mode 100644
index 00000000000..1875798849c
--- /dev/null
+++ b/dev-libs/pcc-libs/pcc-libs-9999.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils versionator
+
+DESCRIPTION="pcc compiler support libs"
+HOMEPAGE="http://pcc.ludd.ltu.se"
+
+if [[ ${PV} = 9999 ]]; then
+ inherit cvs
+ ECVS_SERVER="pcc.ludd.ltu.se:/cvsroot"
+ ECVS_MODULE="${PN}"
+ S="${WORKDIR}/${PN}"
+ KEYWORDS=""
+else
+ SRC_URI="ftp://pcc.ludd.ltu.se/pub/pcc-releases/${P}.tgz"
+ KEYWORDS="~x86 ~amd64 ~amd64-fbsd"
+fi
+LICENSE="BSD"
+SLOT="0"
+
+IUSE=""
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+src_compile() {
+ # not parallel-safe yet
+ emake -j1 || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+}